* {
  box-sizing: border-box;
  text-align: center;  
}

body {
  background-color: black;
  color: white;
  
  display: flex;
  flex-direction: column;
  
  min-height: 100vh;
  margin: 0;
  
  font-family: josefin-sans;
}

main {
  padding-top: 30px;
  flex: 1;
}

header {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;    
  gap: 30px;

  margin-top: 30px;
  padding: 0;
  
  /*border-style: solid;*/
}

footer {
}

.content-wrapper {
  display: grid;
  grid-template-columns: 0.3fr 1fr 0.3fr;
  
  padding: 0 15vw;
}

/*.content-wrapper > * {*/
/*  border-style: solid;*/
/*}*/

/*NAVIGATION*/
header nav {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
  align-items: center;
  
  width: 50vw;
  
  /*border-style: solid;*/
}

.sidebar nav {
  margin-top: calc(50vh - 170px);
  transform: translateY(-50%);
  
  display: grid;
  gap: 30px;  
}

nav a {
  font-style: italic;
  font-size: 16pt;
  text-decoration: none;
  color: gray;
  hyphens: auto;
  
  flex: 1;
}

nav a.selected {
  color: white;
}

nav a:not(.selected):hover {
  color: #d3d3d3;
} 

.an-c {
  white-space: pre-wrap;
  text-align: justify;
  text-align-last: center;
  font-size: 16pt;
}

/*SIDEBAR*/
.sidebar {
  display: flex;
  flex-direction: column;  
  align-items: center;  
}

h1 {
}

/*TEXT*/
h1.smile {
  font-size: 200px;
  margin: 0;
}

/*MISC CLASSES*/
.center {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.hidden-text {
  color: black;
  position: absolute;
}

.hidden-message {
  margin-top: auto;
  margin-left: auto;
  color: black;
  font-size: 0.5em;
}

/*FONTS*/
@font-face {
  font-family: 'josefin-sans';
  src: url('../assets/fonts/JosefinSans-VariableFont_wght.ttf');
  font-style: normal;
}

@font-face {
  font-family: 'josefin-sans';
  src: url('../assets/fonts/JosefinSans-Italic-VariableFont_wght.ttf');
  font-style: italic;
}

@media (max-width: 800px) {
  .content-wrapper {
    padding: 0;
    margin: 0 10px;
    grid-template-columns: 0fr 1fr 0fr;
  }
  
  header nav {
    justify-content: center;
    width: auto;
    gap: 10px 30px;
  }
  
  h1.smile {
    font-size: 120px;
  }
  
  .sidebar {
    width: 0;
    padding-top: 30vw;
  }
}

